/////////////////////////////////////////////////////////////////////////////
// Name:        TemplateDlg.h
// Purpose:     Select DVD menu template dialog
// Author:      Alex Thuering
// Created:     20.10.2009
// RCS-ID:      $Id: TemplateDlg.h,v 1.4 2013/11/25 20:26:46 ntalex Exp $
// Copyright:   (c) Alex Thuering
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////

#ifndef TEMPLATE_DLG_H
#define TEMPLATE_DLG_H

#include "DVD.h"
#include "wxVillaLib/Thumbnails.h"
#include <wx/wx.h>
#include <wx/image.h>
#include <vector>

using namespace std;

//(*Headers(TemplateDlg)
#include <wx/sizer.h>
#include <wx/stattext.h>
#include <wx/textctrl.h>
#include <wx/listbox.h>
#include <wx/statline.h>
#include <wxVillaLib/Thumbnails.h>
#include <wx/dialog.h>
//*)

class TemplateDlg: public wxDialog {
public:
	/** Constructor */
	TemplateDlg(wxWindow* parent, AspectRatio aspectRatio);
	virtual ~TemplateDlg();
	
	wxString GetTemplate();
	wxString GetTitle();

	//(*Declarations(TemplateDlg)
	wxThumbnails* m_thumbnails;
	wxStaticLine* StaticLine1;
	wxTextCtrl* m_titleText;
	wxListBox* m_categoryListBox;
	//*)

protected:
	//(*Identifiers(TemplateDlg)
	static const long ID_TEXTCTRL1;
	static const long CATEGORY_LIST_BOX_ID;
	static const long THUMBNAILS_ID;
	static const long ID_STATICLINE1;
	//*)

private:
    AspectRatio m_aspectRatio;
    wxArrayString m_dirs;
    void LoadThumbnails(wxString dir);
    void OnThumbDoubleClick(wxCommandEvent& event);

	//(*Handlers(TemplateDlg)
	void OnCategorySelect(wxCommandEvent& event);
	//*)

	DECLARE_EVENT_TABLE()
};

#endif // TEMPLATE_DLG_H
